package com.sunxung.factoring.entity.project;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sunxung.factoring.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.sunxung.factoring.entity.entprise.Enterprise;

/**
 * <p>
 * 项目业主企业打分表
 * </p>
 *
 * @author liutao
 * @since 2023-12-20
 */
@TableName("project_owner_score")
public class ProjectOwnerScore extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 项目企业审核id
     */
    @TableField("project_audit_id")
    private Long projectAuditId;

    /**
     * 项目地点得分
     */
    @TableField("project_address_score")
    private BigDecimal projectAddressScore;

    /**
     * 项目周期得分
     */
    @TableField("project_cycle_score")
    private BigDecimal projectCycleScore;

    /**
     * 项目性质得分
     */
    @TableField("project_nature_score")
    private BigDecimal projectNatureScore;

    /**
     * 资金来源及占比得分
     */
    @TableField("fund_score")
    private BigDecimal fundScore;

    /**
     * 成立年限得分
     */
    @TableField("establishment_period_score")
    private BigDecimal establishmentPeriodScore;

    /**
     * 注册资本得分
     */
    @TableField("registered_capital_score")
    private BigDecimal registeredCapitalScore;

    /**
     * 注册地址得分
     */
    @TableField("registered_address_score")
    private BigDecimal registeredAddressScore;

    /**
     * 经营地址得分
     */
    @TableField("business_address_score")
    private BigDecimal businessAddressScore;

    /**
     * 企业性质得分
     */
    @TableField("enterprise_nature_score")
    private BigDecimal enterpriseNatureScore;

    /**
     * 控股比例得分
     */
    @TableField("holding_ratio_score")
    private BigDecimal holdingRatioScore;

    /**
     * 股权层级得分
     */
    @TableField("equity_hierarchy_score")
    private BigDecimal equityHierarchyScore;

    /**
     * 信用评级得分
     */
    @TableField("credit_rating_score")
    private BigDecimal creditRatingScore;

    /**
     * 企业基本变动信息 1存在 0 不存在
     */
    @TableField("enterprise_change")
    private Integer enterpriseChange;

    /**
     * 企业基本变动信息得分
     */
    @TableField("enterprise_change_score")
    private BigDecimal enterpriseChangeScore;

    /**
     * 失信被执行信息  1存在 0 不存在
     */
    @TableField("shi_xin")
    private Integer shiXin;

    /**
     * 失信被执行信息得分
     */
    @TableField("shi_xin_score")
    private BigDecimal shiXinScore;

    /**
     *  限高消费情况（企业）  1存在 0 不存在
     */
    @TableField("st_count")
    private Integer stCount;

    /**
     *  限高消费情况（企业）得分
     */
    @TableField("st_count_score")
    private BigDecimal stCountScore;

    /**
     * 限高消费情况（法人）  1存在 0 不存在
     */
    @TableField("st_count_person")
    private Integer stCountPerson;

    /**
     * 限高消费情况（法人）得分
     */
    @TableField("st_count_person_score")
    private BigDecimal stCountPersonScore;

    /**
     * 当前被执行金额
     */
    @TableField("zhi_xing_amount")
    private BigDecimal zhiXingAmount;

    /**
     * 当前被执行金额得分
     */
    @TableField("zhi_xing_amount_score")
    private BigDecimal zhiXingAmountScore;

    /**
     * 当前被执行频率
     */
    @TableField("zhi_xing_frequent")
    private Long zhiXingFrequent;

    /**
     * 当前被执行频率得分
     */
    @TableField("zhi_xing_frequent_score")
    private BigDecimal zhiXingFrequentScore;

    /**
     * 历史涉诉金额
     */
    @TableField("historical_litigation_amount")
    private BigDecimal historicalLitigationAmount;

    /**
     * 历史涉诉金额得分
     */
    @TableField("historical_litigation_amount_score")
    private BigDecimal historicalLitigationAmountScore;

    /**
     * 历史涉诉数量（近一年）
     */
    @TableField("historical_litigation_count")
    private Long historicalLitigationCount;

    /**
     * 历史涉诉数量（近一年）得分
     */
    @TableField("historical_litigation_count_score")
    private BigDecimal historicalLitigationCountScore;

    /**
     * 民间借贷被告记录  1存在 0 不存在
     */
    @TableField("private_lending")
    private Integer privateLending;

    /**
     * 民间借贷被告记录得分
     */
    @TableField("private_lending_score")
    private BigDecimal privateLendingScore;

    /**
     * 金融机构被告案件  1存在 0 不存在
     */
    @TableField("financial_institution")
    private Integer financialInstitution;

    /**
     * 金融机构被告案件得分
     */
    @TableField("financial_institution_score")
    private BigDecimal financialInstitutionScore;

    /**
     * 股权冻结  1存在 0 不存在
     */
    @TableField("equity_freeze")
    private Integer equityFreeze;

    /**
     * 股权冻结得分
     */
    @TableField("equity_freeze_score")
    private BigDecimal equityFreezeScore;

    /**
     * 重大异常诉讼  1存在 0 不存在
     */
    @TableField("major_abnormal_litigation")
    private Integer majorAbnormalLitigation;

    /**
     * 重大异常诉讼得分
     */
    @TableField("major_abnormal_litigation_score")
    private BigDecimal majorAbnormalLitigationScore;

    /**
     * 严重违法行为  1存在 0 不存在
     */
    @TableField("serious_illegality")
    private Integer seriousIllegality;

    /**
     * 严重违法行为得分
     */
    @TableField("serious_illegality_score")
    private BigDecimal seriousIllegalityScore;

    /**
     * 欠税公告  1存在 0 不存在
     */
    @TableField("tax_owe_notice")
    private Integer taxOweNotice;

    /**
     * 欠税公告得分
     */
    @TableField("tax_owe_notice_score")
    private BigDecimal taxOweNoticeScore;

    /**
     * 税收违法  1存在 0 不存在
     */
    @TableField("tax_illegal")
    private Integer taxIllegal;

    /**
     * 税收违法得分
     */
    @TableField("tax_illegal_score")
    private BigDecimal taxIllegalScore;

    /**
     *  黑名单信息  1存在 0 不存在
     */
    @TableField("blacklist")
    private Integer blacklist;

    /**
     *  黑名单信息得分
     */
    @TableField("blacklist_score")
    private BigDecimal blacklistScore;

    /**
     * 其他经营异常  1存在 0 不存在
     */
    @TableField("exception")
    private Integer exception;

    /**
     * 其他经营异常得分
     */
    @TableField("exception_score")
    private BigDecimal exceptionScore;

    /**
     * 行政处罚数量
     */
    @TableField("administrative_penalty_count")
    private Long administrativePenaltyCount;

    /**
     * 行政处罚数量得分
     */
    @TableField("administrative_penalty_count_score")
    private BigDecimal administrativePenaltyCountScore;

    /**
     * 行政处罚金额
     */
    @TableField("administrative_penalty_amount")
    private BigDecimal administrativePenaltyAmount;

    /**
     * 行政处罚金额得分
     */
    @TableField("administrative_penalty_amount_score")
    private BigDecimal administrativePenaltyAmountScore;

    /**
     * 环保处罚金额
     */
    @TableField("environmental_penalties_amount")
    private BigDecimal environmentalPenaltiesAmount;

    /**
     * 环保处罚金额得分
     */
    @TableField("environmental_penalties_amount_score")
    private BigDecimal environmentalPenaltiesAmountScore;

    /**
     * 重大负面新闻舆情  1存在 0 不存在
     */
    @TableField("news")
    private Integer news;

    /**
     * 重大负面新闻舆情得分
     */
    @TableField("news_score")
    private BigDecimal newsScore;

    /**
     * 预估账期得分
     */
    @TableField("estimated_accounting_period_score")
    private BigDecimal estimatedAccountingPeriodScore;

    @TableField(exist = false)
    private ProjectInformation projectInformation;

    @TableField(exist = false)
    private Enterprise projectOwnerEnterprise;

    @TableField(exist = false)
    private ProjectAudit projectAuditInfo;

    @TableField(exist = false)
    private ProjectOwnerComprehensiveEvaluation projectOwnerComprehensiveEvaluation;

    public ProjectInformation getProjectInformation() {
        return projectInformation;
    }

    public void setProjectInformation(ProjectInformation projectInformation) {
        this.projectInformation = projectInformation;
    }

    public Enterprise getProjectOwnerEnterprise() {
        return projectOwnerEnterprise;
    }

    public void setProjectOwnerEnterprise(Enterprise projectOwnerEnterprise) {
        this.projectOwnerEnterprise = projectOwnerEnterprise;
    }

    public ProjectAudit getProjectAuditInfo() {
        return projectAuditInfo;
    }

    public void setProjectAuditInfo(ProjectAudit projectAuditInfo) {
        this.projectAuditInfo = projectAuditInfo;
    }

    public ProjectOwnerComprehensiveEvaluation getProjectOwnerComprehensiveEvaluation() {
        return projectOwnerComprehensiveEvaluation;
    }

    public void setProjectOwnerComprehensiveEvaluation(ProjectOwnerComprehensiveEvaluation projectOwnerComprehensiveEvaluation) {
        this.projectOwnerComprehensiveEvaluation = projectOwnerComprehensiveEvaluation;
    }

    public BigDecimal getRegisteredAddressScore() {
        return registeredAddressScore;
    }

    public void setRegisteredAddressScore(BigDecimal registeredAddressScore) {
        this.registeredAddressScore = registeredAddressScore;
    }

    public Long getProjectAuditId() {
        return projectAuditId;
    }

    public void setProjectAuditId(Long projectAuditId) {
        this.projectAuditId = projectAuditId;
    }
    public BigDecimal getProjectAddressScore() {
        return projectAddressScore;
    }

    public void setProjectAddressScore(BigDecimal projectAddressScore) {
        this.projectAddressScore = projectAddressScore;
    }
    public BigDecimal getProjectCycleScore() {
        return projectCycleScore;
    }

    public void setProjectCycleScore(BigDecimal projectCycleScore) {
        this.projectCycleScore = projectCycleScore;
    }
    public BigDecimal getProjectNatureScore() {
        return projectNatureScore;
    }

    public void setProjectNatureScore(BigDecimal projectNatureScore) {
        this.projectNatureScore = projectNatureScore;
    }
    public BigDecimal getFundScore() {
        return fundScore;
    }

    public void setFundScore(BigDecimal fundScore) {
        this.fundScore = fundScore;
    }
    public BigDecimal getEstablishmentPeriodScore() {
        return establishmentPeriodScore;
    }

    public void setEstablishmentPeriodScore(BigDecimal establishmentPeriodScore) {
        this.establishmentPeriodScore = establishmentPeriodScore;
    }
    public BigDecimal getRegisteredCapitalScore() {
        return registeredCapitalScore;
    }

    public void setRegisteredCapitalScore(BigDecimal registeredCapitalScore) {
        this.registeredCapitalScore = registeredCapitalScore;
    }
    public BigDecimal getBusinessAddressScore() {
        return businessAddressScore;
    }

    public void setBusinessAddressScore(BigDecimal businessAddressScore) {
        this.businessAddressScore = businessAddressScore;
    }
    public BigDecimal getEnterpriseNatureScore() {
        return enterpriseNatureScore;
    }

    public void setEnterpriseNatureScore(BigDecimal enterpriseNatureScore) {
        this.enterpriseNatureScore = enterpriseNatureScore;
    }
    public BigDecimal getHoldingRatioScore() {
        return holdingRatioScore;
    }

    public void setHoldingRatioScore(BigDecimal holdingRatioScore) {
        this.holdingRatioScore = holdingRatioScore;
    }
    public BigDecimal getEquityHierarchyScore() {
        return equityHierarchyScore;
    }

    public void setEquityHierarchyScore(BigDecimal equityHierarchyScore) {
        this.equityHierarchyScore = equityHierarchyScore;
    }
    public BigDecimal getCreditRatingScore() {
        return creditRatingScore;
    }

    public void setCreditRatingScore(BigDecimal creditRatingScore) {
        this.creditRatingScore = creditRatingScore;
    }
    public Integer getEnterpriseChange() {
        return enterpriseChange;
    }

    public void setEnterpriseChange(Integer enterpriseChange) {
        this.enterpriseChange = enterpriseChange;
    }
    public BigDecimal getEnterpriseChangeScore() {
        return enterpriseChangeScore;
    }

    public void setEnterpriseChangeScore(BigDecimal enterpriseChangeScore) {
        this.enterpriseChangeScore = enterpriseChangeScore;
    }
    public Integer getShiXin() {
        return shiXin;
    }

    public void setShiXin(Integer shiXin) {
        this.shiXin = shiXin;
    }
    public BigDecimal getShiXinScore() {
        return shiXinScore;
    }

    public void setShiXinScore(BigDecimal shiXinScore) {
        this.shiXinScore = shiXinScore;
    }
    public Integer getStCount() {
        return stCount;
    }

    public void setStCount(Integer stCount) {
        this.stCount = stCount;
    }
    public BigDecimal getStCountScore() {
        return stCountScore;
    }

    public void setStCountScore(BigDecimal stCountScore) {
        this.stCountScore = stCountScore;
    }
    public Integer getStCountPerson() {
        return stCountPerson;
    }

    public void setStCountPerson(Integer stCountPerson) {
        this.stCountPerson = stCountPerson;
    }
    public BigDecimal getStCountPersonScore() {
        return stCountPersonScore;
    }

    public void setStCountPersonScore(BigDecimal stCountPersonScore) {
        this.stCountPersonScore = stCountPersonScore;
    }
    public BigDecimal getZhiXingAmount() {
        return zhiXingAmount;
    }

    public void setZhiXingAmount(BigDecimal zhiXingAmount) {
        this.zhiXingAmount = zhiXingAmount;
    }
    public BigDecimal getZhiXingAmountScore() {
        return zhiXingAmountScore;
    }

    public void setZhiXingAmountScore(BigDecimal zhiXingAmountScore) {
        this.zhiXingAmountScore = zhiXingAmountScore;
    }
    public Long getZhiXingFrequent() {
        return zhiXingFrequent;
    }

    public void setZhiXingFrequent(Long zhiXingFrequent) {
        this.zhiXingFrequent = zhiXingFrequent;
    }
    public BigDecimal getZhiXingFrequentScore() {
        return zhiXingFrequentScore;
    }

    public void setZhiXingFrequentScore(BigDecimal zhiXingFrequentScore) {
        this.zhiXingFrequentScore = zhiXingFrequentScore;
    }
    public BigDecimal getHistoricalLitigationAmount() {
        return historicalLitigationAmount;
    }

    public void setHistoricalLitigationAmount(BigDecimal historicalLitigationAmount) {
        this.historicalLitigationAmount = historicalLitigationAmount;
    }
    public BigDecimal getHistoricalLitigationAmountScore() {
        return historicalLitigationAmountScore;
    }

    public void setHistoricalLitigationAmountScore(BigDecimal historicalLitigationAmountScore) {
        this.historicalLitigationAmountScore = historicalLitigationAmountScore;
    }
    public Long getHistoricalLitigationCount() {
        return historicalLitigationCount;
    }

    public void setHistoricalLitigationCount(Long historicalLitigationCount) {
        this.historicalLitigationCount = historicalLitigationCount;
    }
    public BigDecimal getHistoricalLitigationCountScore() {
        return historicalLitigationCountScore;
    }

    public void setHistoricalLitigationCountScore(BigDecimal historicalLitigationCountScore) {
        this.historicalLitigationCountScore = historicalLitigationCountScore;
    }
    public Integer getPrivateLending() {
        return privateLending;
    }

    public void setPrivateLending(Integer privateLending) {
        this.privateLending = privateLending;
    }
    public BigDecimal getPrivateLendingScore() {
        return privateLendingScore;
    }

    public void setPrivateLendingScore(BigDecimal privateLendingScore) {
        this.privateLendingScore = privateLendingScore;
    }
    public Integer getFinancialInstitution() {
        return financialInstitution;
    }

    public void setFinancialInstitution(Integer financialInstitution) {
        this.financialInstitution = financialInstitution;
    }
    public BigDecimal getFinancialInstitutionScore() {
        return financialInstitutionScore;
    }

    public void setFinancialInstitutionScore(BigDecimal financialInstitutionScore) {
        this.financialInstitutionScore = financialInstitutionScore;
    }
    public Integer getEquityFreeze() {
        return equityFreeze;
    }

    public void setEquityFreeze(Integer equityFreeze) {
        this.equityFreeze = equityFreeze;
    }
    public BigDecimal getEquityFreezeScore() {
        return equityFreezeScore;
    }

    public void setEquityFreezeScore(BigDecimal equityFreezeScore) {
        this.equityFreezeScore = equityFreezeScore;
    }
    public Integer getMajorAbnormalLitigation() {
        return majorAbnormalLitigation;
    }

    public void setMajorAbnormalLitigation(Integer majorAbnormalLitigation) {
        this.majorAbnormalLitigation = majorAbnormalLitigation;
    }
    public BigDecimal getMajorAbnormalLitigationScore() {
        return majorAbnormalLitigationScore;
    }

    public void setMajorAbnormalLitigationScore(BigDecimal majorAbnormalLitigationScore) {
        this.majorAbnormalLitigationScore = majorAbnormalLitigationScore;
    }
    public Integer getSeriousIllegality() {
        return seriousIllegality;
    }

    public void setSeriousIllegality(Integer seriousIllegality) {
        this.seriousIllegality = seriousIllegality;
    }
    public BigDecimal getSeriousIllegalityScore() {
        return seriousIllegalityScore;
    }

    public void setSeriousIllegalityScore(BigDecimal seriousIllegalityScore) {
        this.seriousIllegalityScore = seriousIllegalityScore;
    }
    public Integer getTaxOweNotice() {
        return taxOweNotice;
    }

    public void setTaxOweNotice(Integer taxOweNotice) {
        this.taxOweNotice = taxOweNotice;
    }
    public BigDecimal getTaxOweNoticeScore() {
        return taxOweNoticeScore;
    }

    public void setTaxOweNoticeScore(BigDecimal taxOweNoticeScore) {
        this.taxOweNoticeScore = taxOweNoticeScore;
    }
    public Integer getTaxIllegal() {
        return taxIllegal;
    }

    public void setTaxIllegal(Integer taxIllegal) {
        this.taxIllegal = taxIllegal;
    }
    public BigDecimal getTaxIllegalScore() {
        return taxIllegalScore;
    }

    public void setTaxIllegalScore(BigDecimal taxIllegalScore) {
        this.taxIllegalScore = taxIllegalScore;
    }
    public Integer getBlacklist() {
        return blacklist;
    }

    public void setBlacklist(Integer blacklist) {
        this.blacklist = blacklist;
    }
    public BigDecimal getBlacklistScore() {
        return blacklistScore;
    }

    public void setBlacklistScore(BigDecimal blacklistScore) {
        this.blacklistScore = blacklistScore;
    }
    public Integer getException() {
        return exception;
    }

    public void setException(Integer exception) {
        this.exception = exception;
    }
    public BigDecimal getExceptionScore() {
        return exceptionScore;
    }

    public void setExceptionScore(BigDecimal exceptionScore) {
        this.exceptionScore = exceptionScore;
    }
    public Long getAdministrativePenaltyCount() {
        return administrativePenaltyCount;
    }

    public void setAdministrativePenaltyCount(Long administrativePenaltyCount) {
        this.administrativePenaltyCount = administrativePenaltyCount;
    }
    public BigDecimal getAdministrativePenaltyCountScore() {
        return administrativePenaltyCountScore;
    }

    public void setAdministrativePenaltyCountScore(BigDecimal administrativePenaltyCountScore) {
        this.administrativePenaltyCountScore = administrativePenaltyCountScore;
    }
    public BigDecimal getAdministrativePenaltyAmount() {
        return administrativePenaltyAmount;
    }

    public void setAdministrativePenaltyAmount(BigDecimal administrativePenaltyAmount) {
        this.administrativePenaltyAmount = administrativePenaltyAmount;
    }
    public BigDecimal getAdministrativePenaltyAmountScore() {
        return administrativePenaltyAmountScore;
    }

    public void setAdministrativePenaltyAmountScore(BigDecimal administrativePenaltyAmountScore) {
        this.administrativePenaltyAmountScore = administrativePenaltyAmountScore;
    }
    public BigDecimal getEnvironmentalPenaltiesAmount() {
        return environmentalPenaltiesAmount;
    }

    public void setEnvironmentalPenaltiesAmount(BigDecimal environmentalPenaltiesAmount) {
        this.environmentalPenaltiesAmount = environmentalPenaltiesAmount;
    }
    public BigDecimal getEnvironmentalPenaltiesAmountScore() {
        return environmentalPenaltiesAmountScore;
    }

    public void setEnvironmentalPenaltiesAmountScore(BigDecimal environmentalPenaltiesAmountScore) {
        this.environmentalPenaltiesAmountScore = environmentalPenaltiesAmountScore;
    }
    public Integer getNews() {
        return news;
    }

    public void setNews(Integer news) {
        this.news = news;
    }
    public BigDecimal getNewsScore() {
        return newsScore;
    }

    public void setNewsScore(BigDecimal newsScore) {
        this.newsScore = newsScore;
    }

    public BigDecimal getEstimatedAccountingPeriodScore() {
        return estimatedAccountingPeriodScore;
    }

    public void setEstimatedAccountingPeriodScore(BigDecimal estimatedAccountingPeriodScore) {
        this.estimatedAccountingPeriodScore = estimatedAccountingPeriodScore;
    }

}
